<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.scytl.products.ov.channel</groupId>
		<artifactId>ov-channel</artifactId>
		<version>2.1.7</version>
	</parent>

	<groupId>com.scytl.products.ov.channel.vm</groupId>
	<artifactId>voter-material</artifactId>
	<packaging>pom</packaging>
	<name>Online Voting Voter Material</name>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-logging</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons.lib</groupId>
				<artifactId>ov-commons-lib-persistence</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-sign</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-beans</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-infrastructure</artifactId>
				<version>${project.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<dependencies>
		<!-- JavaEE -->
		<dependency>
			<groupId>org.apache.openejb</groupId>
			<artifactId>javaee-api</artifactId>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>libs-config</artifactId>
			<version>${project.version}</version>
		</dependency>

		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
		</dependency>


		<!-- Bouncy Castle -->
		<dependency>
			<groupId>org.bouncycastle</groupId>
			<artifactId>bcprov-jdk15on</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.bouncycastle</groupId>
			<artifactId>bcpkix-jdk15on</artifactId>
		</dependency>

		<!-- Logging -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.oscore</groupId>
			<artifactId>logging-core</artifactId>
		</dependency>

		<!-- Testing -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>${junit.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-core</artifactId>
			<version>${mockito.version}</version>
			<scope>test</scope>
		</dependency>

		<!-- jackson for json processing (this is used for annotations in DTOs) -->
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-annotations</artifactId>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.jaxrs</groupId>
			<artifactId>jackson-jaxrs-json-provider</artifactId>
		</dependency>
	</dependencies>

	<modules>
		<module>voter-material-services</module>
		<module>vm-ws-rest</module>
		<module>assembly</module>
	</modules>
</project>
